.sorby_logo {
    position: absolute;
    top: 0;
    padding: 2rem;
    width: 7rem;
}
.sorby_logo svg path {
    fill: black;
}

@media (min-width: 800px) {
    .sorby_logo {
        padding-inline: 3rem;
    }
}
a[href^="mailto:"]:hover {
    text-decoration: underline;
}

.body_styles {
    padding-inline: 6.17rem;
    max-width: 80rem;
    margin: 0 auto;
    margin-top: 6rem;
    /* min-height: 80vh; */

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 6rem;
}
.header_elements {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.contact_info_container {
    background-color: var(--color-main-blue);
    color: white;
    padding: 3.5rem;
    padding-top: 15rem;
    border-radius: 2rem;
}

.header_middle {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: start;
}

.footer {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: end;
    padding-bottom: 3.5rem;
}

.email_container h3 {
    font-style: italic;
}
.social_links {
    display: flex;
    gap: 1rem;
}
.social_links li {
    list-style: none;
}
.social_links img {
    display: block;
    width: 2.6rem;
}

.contact_form {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    background-color: white;
    border-radius: 1.5rem;
    padding: 2.7rem;
    padding-top: 2rem;

    min-width: 26rem;
    margin-top: -20rem;
    margin-inline: 5rem;

    transform: translateY(1rem);
}

.contact_form p {
    color: #9C9C9C;
    font-size: .767rem;
    font-weight: var(--fw-medium);
}
.contact_form input,
.contact_form textarea,
select {
    border: none;
    border-bottom: 2px solid #9C9C9C;
    outline: none;
    padding-block: .2rem;
    width: 100%;
    resize: none;
    border-radius: 0;
    background-color: white;
}


.inputs_name {
    display: flex;
    gap: 1rem;
    & * {
        flex: 1;
    }
}

input[name="submit"] {
    background-color: black;
    color: white;
    border-radius: 2rem;
    border: 2px solid transparent;
    padding: .5rem 2rem;
    width: fit-content;
    /* font-weight: var(--fw-light); */
    box-sizing: border-box;
    transition: all 300ms;
    cursor: pointer;
    &:hover {
        border-color: black;
        background-color: transparent;
        color: black;
    }
    &:active {
        transform: translateY(2px);
    }
}
.inputs_describtion {
    margin-top: 1rem;
    & textarea {
        margin-block: .5rem;
    }
}

.bold {
    font-weight: var(--fw-semibold);
}
.contact_form .bold {
    font-size: inherit;
    color: black;
    font-weight: var(--fw-bold);
}

@media (max-width: 1080px) {
    .body_styles {
        gap: 3rem;
    }
    .header_elements {
        gap: 2rem;
    }
    .contact_info_container {
        padding: 2rem;
        border-radius: 1.5rem;
    }
    .header_middle {
        grid-template-columns: 1fr;
    }
    .contact_form {
        margin: 0;
        padding-inline: 0;
        min-width: 0;
    }
}

@media (max-width: 800px) {
    .body_styles {
        padding-inline: 2rem;
    }
    .footer {
        align-items: start;
        gap: 2rem;
        flex-direction: column;
    }
}

@media (max-width: 340px) {
    .body_styles {
        padding-inline: 1.5rem;
    }
}